Package org.springframework.batch.core.job.flow.support.state

# Class SplitState

java.lang.Object
org.springframework.batch.core.job.flow.support.state.AbstractState
org.springframework.batch.core.job.flow.support.state.SplitState

All Implemented Interfaces:
  `FlowHolder`, `State`

public class SplitState extends AbstractState implements FlowHolder
A `State` implementation that splits a `Flow` into multiple parallel subflows.

Since:
  2.0
Author:
  Dave Syer

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SplitState(Collection<Flow> flows, String name)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected FlowExecutionStatus`
  `doAggregation(Collection<FlowExecution> results, FlowExecutor executor)`
  `Collection<Flow>`
  `getFlows()`
  `FlowExecutionStatus`
  `handle(FlowExecutor executor)`
  Execute the flows in parallel by passing them to the `TaskExecutor` and wait for all of them to finish before proceeding.
  `boolean`
  `isEndState()`
  Inquire as to whether a `State` is an end state.
  `void`
  `setTaskExecutor(org.springframework.core.task.TaskExecutor taskExecutor)`
  Public setter for the taskExecutor.

  ### Methods inherited from class org.springframework.batch.core.job.flow.support.state.AbstractState

  `getName, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SplitState

    public SplitState(Collection<Flow> flows, String name)
    Parameters:
      `flows` - collection of `Flow` instances.
      `name` - the name of the state.

- ## Method Details

  - ### setTaskExecutor

    public void setTaskExecutor(org.springframework.core.task.TaskExecutor taskExecutor)
    Public setter for the taskExecutor.
    Parameters:
      `taskExecutor` - the taskExecutor to set

  - ### getFlows

    public Collection<Flow> getFlows()
    Specified by:
      `getFlows` in interface `FlowHolder`
    Returns:
      the flows

  - ### handle

    public FlowExecutionStatus handle(FlowExecutor executor) throws Exception
    Execute the flows in parallel by passing them to the `TaskExecutor` and wait for all of them to finish before proceeding.
    Specified by:
      `handle` in interface `State`
    Specified by:
      `handle` in class `AbstractState`
    Parameters:
      `executor` - the context passed in by the caller
    Returns:
      a status for the execution
    Throws:
      `Exception` - if anything goes wrong
    See Also:
      - `State.handle(FlowExecutor)`

  - ### doAggregation

    protected FlowExecutionStatus doAggregation(Collection<FlowExecution> results, FlowExecutor executor)

  - ### isEndState

    public boolean isEndState()
    Description copied from interface: `State`
    Inquire as to whether a `State` is an end state. Implementations should return false if processing can continue, even if that would require a restart.
    Specified by:
      `isEndState` in interface `State`
    Returns:
      true if this `State` is the end of processing